Skip to content
Start here

Preview Pool

client.LoadBalancers.Pools.Health.New(ctx, poolID, params) (*PoolHealthNewResponse, error)
POST/accounts/{account_id}/load_balancers/pools/{pool_id}/preview

Preview pool health using provided monitor details. The returned preview_id can be used in the preview endpoint to retrieve the results.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
poolID string
params PoolHealthNewParams
AccountID param.Field[string]

Path param: Identifier.

maxLength32
AllowInsecure param.Field[bool]optional

Body param: Do not validate the certificate when monitor use HTTPS. This parameter is currently only valid for HTTP and HTTPS monitors.

ConsecutiveDown param.Field[int64]optional

Body param: To be marked unhealthy the monitored origin must fail this healthcheck N consecutive times.

ConsecutiveUp param.Field[int64]optional

Body param: To be marked healthy the monitored origin must pass this healthcheck N consecutive times.

Description param.Field[string]optional

Body param: Object description.

ExpectedBody param.Field[string]optional

Body param: A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy. This parameter is only valid for HTTP and HTTPS monitors.

ExpectedCodes param.Field[string]optional

Body param: The expected HTTP response code or code range of the health check. This parameter is only valid for HTTP and HTTPS monitors.

FollowRedirects param.Field[bool]optional

Body param: Follow redirects if returned by the origin. This parameter is only valid for HTTP and HTTPS monitors.

Header param.Field[map[string, []string]]optional

Body param: The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden. This parameter is only valid for HTTP and HTTPS monitors.

Interval param.Field[int64]optional

Body param: The interval between each health check. Shorter intervals may improve failover time, but will increase load on the origins as we check from multiple locations.

Method param.Field[string]optional

Body param: The method to use for the health check. This defaults to ‘GET’ for HTTP/HTTPS based checks and ‘connection_established’ for TCP based health checks.

Path param.Field[string]optional

Body param: The endpoint path you want to conduct a health check against. This parameter is only valid for HTTP and HTTPS monitors.

Port param.Field[int64]optional

Body param: The port number to connect to for the health check. Required for TCP, UDP, and SMTP checks. HTTP and HTTPS checks should only define the port when using a non-standard port (HTTP: default 80, HTTPS: default 443).

ProbeZone param.Field[string]optional

Body param: Assign this monitor to emulate the specified zone while probing. This parameter is only valid for HTTP and HTTPS monitors.

Retries param.Field[int64]optional

Body param: The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

Timeout param.Field[int64]optional

Body param: The timeout (in seconds) before marking the health check as failed.

Type param.Field[PoolHealthNewParamsType]optional

Body param: The protocol to use for the health check. Currently supported protocols are ‘HTTP’,‘HTTPS’, ‘TCP’, ‘ICMP-PING’, ‘UDP-ICMP’, and ‘SMTP’.

const PoolHealthNewParamsTypeHTTP PoolHealthNewParamsType = "http"
const PoolHealthNewParamsTypeHTTPS PoolHealthNewParamsType = "https"
const PoolHealthNewParamsTypeTCP PoolHealthNewParamsType = "tcp"
const PoolHealthNewParamsTypeUdpIcmp PoolHealthNewParamsType = "udp_icmp"
const PoolHealthNewParamsTypeIcmpPing PoolHealthNewParamsType = "icmp_ping"
const PoolHealthNewParamsTypeSmtp PoolHealthNewParamsType = "smtp"
ReturnsExpand Collapse
type PoolHealthNewResponse struct{…}
Pools map[string, string]optional

Monitored pool IDs mapped to their respective names.

PreviewID stringoptional

Preview Pool

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/load_balancers"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  health, err := client.LoadBalancers.Pools.Health.New(
    context.TODO(),
    "17b5962d775c646f3f9725cbc7a53df4",
    load_balancers.PoolHealthNewParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", health.PreviewID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "pools": {
      "abwlnp5jbqn45ecgxd03erbgtxtqai0d": "WNAM Datacenter",
      "ve8h9lrcip5n5bbga9yqmdws28ay5d0l": "EEU Datacenter"
    },
    "preview_id": "f1aba936b94213e5b8dca0c0dbf1f9cc"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "pools": {
      "abwlnp5jbqn45ecgxd03erbgtxtqai0d": "WNAM Datacenter",
      "ve8h9lrcip5n5bbga9yqmdws28ay5d0l": "EEU Datacenter"
    },
    "preview_id": "f1aba936b94213e5b8dca0c0dbf1f9cc"
  },
  "success": true
}